SignOperation (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.plugins.signing

## [Groovy] Class SignOperation

- org.gradle.plugins.signing.SignOperation

- All Implemented Interfaces and Traits:
    SignatureSpec

      class SignOperation
      extends Object

  A sign operation creates digital signatures for one or more files or publish artifacts.

  The external representation of the signature is specified by the signature type property, while the signatory property specifies who is to sign.

  A sign operation manages one or more Signature objects. The `sign` methods are used to register things to generate signatures for. The execute() method generates the signatures for all of the registered items at that time.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `required` Whether or not it is required that this signature be generated.
    `Signatory` | `signatory` The signatory to the generated digital signatures.
    `SignatureType` | `signatureType` The file representation of the signature(s).

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SignOperation` | `configure(groovy.lang.Closure closure)` Executes the given closure against this object.
    `SignOperation` | `execute()` Generates actual signature files for all of the registered signatures.
    `String` | `getDisplayName()`
    `FileCollection` | `getFilesToSign()` All of the files that will be signed by this operation.
    `FileCollection` | `getSignatureFiles()` All of the signature files that will be generated by this operation.
    `List<Signature>` | `getSignatures()` The registered signatures.
    `Signature` | `getSingleSignature()` Returns the single registered signature.
    `SignOperation` | `sign(PublishArtifact... artifacts)` Registers signatures for the given artifacts.
    `SignOperation` | `sign(File... files)` Registers signatures for the given files.
    `SignOperation` | `sign(String classifier, File... files)` Registers signatures (with the given classifier) for the given files
    `SignOperation` | `signatory(Signatory signatory)` Change the signatory for signature generation.
    `SignOperation` | `signatureType(SignatureType type)` Change the signature type for signature generation.
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean required

      Whether or not it is required that this signature be generated.

    - #### Signatory signatory

      The signatory to the generated digital signatures.

    - #### SignatureType signatureType

      The file representation of the signature(s).

  - ### Method Detail

    - #### SignOperation configure(groovy.lang.Closure closure)

      Executes the given closure against this object.

    - #### SignOperation execute()

      Generates actual signature files for all of the registered signatures.

      The signatures are generated with the configuration they have at this time, which includes the signature type and signatory of this operation at this time.

      This method can be called multiple times, with the signatures being generated with their current configuration each time.

      Returns:
        this
      See Also:
        Signature.generate

    - #### String getDisplayName()

    - #### FileCollection getFilesToSign()

      All of the files that will be signed by this operation.

    - #### FileCollection getSignatureFiles()

      All of the signature files that will be generated by this operation.

    - #### List<Signature> getSignatures()

      The registered signatures.

    - #### Signature getSingleSignature()

      Returns the single registered signature.

      throws:
        IllegalStateException if there is not exactly one registered signature.
      Returns:
        The signature.

    - #### SignOperation sign(PublishArtifact... artifacts)

      Registers signatures for the given artifacts.

      Returns:
        this
      See Also:
        Signature.Signature

    - #### SignOperation sign(File... files)

      Registers signatures for the given files.

      Returns:
        this
      See Also:
        Signature.Signature

    - #### SignOperation sign(String classifier, File... files)

      Registers signatures (with the given classifier) for the given files

      Returns:
        this
      See Also:
        Signature.Signature

    - #### SignOperation signatory(Signatory signatory)

      Change the signatory for signature generation.

    - #### SignOperation signatureType(SignatureType type)

      Change the signature type for signature generation.

    - #### String toString()